Offset tool doesn't honor snapping configuration
Status: Closed

Priority: Normal

Assignee: Denis Rouzaud

Category: Digitising

Affected QGIS version:2.18.13 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25264

Description

This tool (maybe others?) have a hardcoded configuration:

//snap cursor to background layers

  QgsPointLocator::Match m = mCanvas->snappingUtils()->snapToMap( e->pos() );

  if ( m.isValid() )

{

    if ( ( m.layer() && m.layer()->id() != mSourceLayerId ) || m.featureId() != mModifiedFeature )

  {

      layerCoords = toLayerCoordinates( layer, m.point() );

      mSnapVertexMarker = new QgsVertexMarker( mCanvas );

      mSnapVertexMarker->setIconType( QgsVertexMarker::ICON_CROSS );

      mSnapVertexMarker->setColor( Qt::green );

      mSnapVertexMarker->setPenWidth( 1 );

      mSnapVertexMarker->setCenter( m.point() );

    }

}

Associated revisions

Revision e1d481fa - 2018-02-13 02:19 PM - Denis Rouzaud

various fixes to the offset map tool

code has been refactored, hopefully things are clearer now

fix #17367

fix #14751

History

#1 - 2018-01-23 04:13 PM - Denis Rouzaud

- Assignee set to Mathieu Pellerin - nIRV

Matthieu, are you about to take care of this tool?

Let me know

#2 - 2018-01-23 04:36 PM - Denis Rouzaud

see #15201
https://github.com/qgis/QGIS/blob/8b7fd5428f2d3eb6f4377a57f1f34f51fda3a951/src/app/qgsmaptooloffsetcurve.cpp#L222


#3 - 2018-01-24 03:22 AM - Mathieu Pellerin - nIRV

Denis, not on my agenda for the foreseeable future, feel free to take ownership here :)

#4 - 2018-01-27 12:21 AM - Denis Rouzaud

- Assignee changed from Mathieu Pellerin - nIRV to Denis Rouzaud

#5 - 2018-02-13 02:19 PM - Denis Rouzaud

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|e1d481faa7ddc5dc84e0760a8371e5eaefb862d9.

#6 - 2018-02-22 09:16 AM - Giovanni Manghi

- Resolution set to fixed/implemented
